Loading...
Searching...
No Matches
caf::inbound_path::stats_t Struct Reference

Stores statistics for measuring complexity of incoming batches. More...

`#include <inbound_path.hpp>`

## Classes

struct | measurement
| Wraps a time measurement for a single processed batch. More...
struct | calculation_result
| Wraps the resulf of stats_t::calculate(). More...

## Public Member Functions

calculation_result | calculate (timespan cycle, timespan desired_complexity)
| Returns the maximum number of items this actor could handle for given cycle length with a minimum of 1.
void | store (measurement x)
| Adds a measurement to this statistic.
void | reset ()
| Resets this statistic.

## Public Attributes

int64_t | num_elements
| Total number of elements in all processed batches.
timespan | processing_time
| Elapsed time for processing all elements of all batches.

## Detailed Description

Stores statistics for measuring complexity of incoming batches.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/inbound_path.hpp